<template>
  <div div="home">
    <b-jumbotron>
      <template slot="header">Student Accountability</template>

      <template
        slot="lead"
      >Here authorized personnel may check our Institute students' accountability and do some more fancy stuff.</template>

      <hr class="my-4" />

      <p v-if="!this.$store.getters.isAuthenticated">Login and start</p>

      <router-link to="/login" v-if="!this.$store.getters.isAuthenticated">
        <b-button variant="primary">Login</b-button>
      </router-link>

      <p v-if="this.$store.getters.isAuthenticated">Go to using the system</p>

      <router-link to="/user" v-if="this.$store.getters.isAuthenticated && !this.$store.getters.isAdmin">
        <b-button variant="primary">Work!</b-button>
      </router-link>

      <router-link to="/admin" v-if="this.$store.getters.isAuthenticated && this.$store.getters.isAdmin">
        <b-button variant="primary">Work!</b-button>
      </router-link>
    </b-jumbotron>
  </div>
</template>

<script>
export default {
  name: "Home"
};
</script>

<style>
</style>